#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>

#pragma argsused
void main(int argc, char *argv[])
{
  FILE *stream;

  // Открываем файл только для чтения
  stream = fopen(argv[1], "r");

  // Если произошла ошибка, выводим сообщение
  if((stream == NULL) || (ferror(stream)))
  {
    perror("Не могу открыть файл");
    printf("\nНажмите любую клавишу...");
    getch();
    exit(errno);
  }

  // Пытаемся выполнить запись в файл, который
  // открыт только для чтения. Это приведет к ошибке.
  fprintf(stream, "Пишем в файл\n");

  if((stream == NULL) || (ferror(stream)))
  {
    // Выводим сообщение об ошибке двумя способами -
    // с помощью функции perror и strerror
    perror("Запись в защищенный файл");
    printf("Запись в защищенный файл: %s\n",
      strerror(errno));

      exit(errno);
  }
  printf("\nНажмите любую клавишу...");
  getch();
  exit( 0 );
}
